//
//  PreferenceController.h
//  CrawlSpace
//
//  Created by David Finucane on 11/14/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
extern NSString*CrawlSpaceEmailKey;
extern NSString*CrawlSpacePasswordKey;
extern NSString*CrawlSpaceAutoSpeedKey;
extern NSString*CrawlSpaceCacheSizeKey;
extern NSString*CrawlSpaceMaxFriendsKey;
extern NSString*CrawlSpaceMaxSearcHResultPagesKey;
extern NSString*CrawlSpaceTimeoutKey;
extern NSString*CrawlSpaceTrueRandomIdKey;

@interface PreferenceController : NSWindowController
{
  IBOutlet NSTextField*emailField;
  IBOutlet NSTextField*passwordField;
  IBOutlet NSSlider*autoSpeedSlider;
  IBOutlet NSSlider*cacheSizeSlider;
  IBOutlet NSSlider*maxFriendSlider;
  IBOutlet NSSlider*maxSearchResultPagesSlider;
  IBOutlet NSSlider*timeoutSlider;
  IBOutlet NSButton*trueRandomIdButton;
}

+ (NSString*) email;
+ (NSString*) password;
+ (float) autoSpeed;
+ (int) cacheSize;
+ (int) maxFriends;
+ (int) maxSearchResultPages;
+ (int) timeout;
+ (BOOL) trueRandomId;

- (IBAction) changeEmail:(id)sender;
- (IBAction) changePassword:(id)sender;
- (IBAction) changeAutoSpeed:(id)sender;
- (IBAction) changeCacheSize:(id)sender;
- (IBAction) changeMaxFriends:(id)sender;
- (IBAction) changeMaxSearchResultPages:(id)sender;
- (IBAction) changeTimeout:(id)sender;
- (IBAction) changeTrueRandomId:(id)sender;
- (void) controlTextDidChange: (NSNotification*) notification;

@end
